Summary: Musepack SV7 audio file encoder
Name: mppenc
Version: 1.16
Release: 2%{?dist}

# Some source files by one of the authors lack a license header.
# Musepack website acknowledges the licensing as "LGPL".
# Shy Keidar from the Musepack project additionally has confirmed
# that "mppenc as a whole is licensed under the LGPL v2.1 (or later)".
# That also matches the license used for the much newer SV8 release.
License: LGPLv2+

Group: Applications/Multimedia
URL: http://www.musepack.net/
Source0: http://files.musepack.net/source/mppenc-%{version}.tar.bz2
# prefer Fedora optflags
Patch0: mppenc-1.16-cflags.patch
# compile wave_in.c with -fno-strict-aliasing because of dereferencing
# pointer after cast-madness: short int* -> void* -> unsigned long*
Patch1: mppenc-1.16-strict-aliasing.patch

BuildRequires: cmake

%description
This is a Musepack StreamVersion7 encoder for audio.

Musepack is an audio compression format with a strong emphasis on high
quality. It's not lossless, but it is designed for transparency, so that
you won't be able to hear differences between the original wave file and
the much smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2
algorithms, but has rapidly developed and vastly improved and is now at an
advanced stage in which it contains heavily optimized and patentless code.


%prep
%setup -q
%patch0 -p1 -b .cflags
%patch1 -p1 -b .strict-aliasing


%build
%{cmake}
make %{?_smp_mflags} VERBOSE=1


%install
make install DESTDIR=${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc Changelog
%{_bindir}/mppenc


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 24 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.16-1
- Compile wave_in.c with -fno-strict-aliasing because of dereferencing
  pointer after cast-madness: short int* -> void* -> unsigned long*

* Sat Nov 21 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.16-0.2
- Spec comments for package review.

* Sat Nov 21 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.16-0.1
- Initial packaging for Fedora.
